%define major 1

Summary: Libgnet, a network library
Name: libgnet
Version: 1.1.0
Release: 4mdk
Copyright: LGPL
Group: System/Libraries
Source: http://www.gnetlibrary.org/src/gnet-%{version}.tar.bz2
Patch0: libgnet-1.0.4-config.patch.bz2
URL: http://gnetlibrary.org/
BuildRequires:	glib-devel
BuildRoot: %{_tmppath}/%{name}-%{version}-buildroot

%description
Gnet is a simple network library.  It is writen in C, object-oriented,
and built upon glib.  It is intended to be small, fast, easy-to-use,
and easy to port.  The interface is similar to the interface for
Java's network library.

Features:
  * TCP 'client' sockets
  * TCP 'server' sockets
  * Non-blocking TCP sockets
  * UDP
  * IP Multicast
  * Internet address abstraction

Gnet requires Glib 1.2. 


%package -n %{name}%{major}
Summary: Libgnet, a network library
Group: System/Libraries

%description -n %{name}%{major}
Gnet is a simple network library.  It is writen in C, object-oriented,
and built upon glib.  It is intended to be small, fast, easy-to-use,
and easy to port.  The interface is similar to the interface for
Java's network library.

Features:
  * TCP 'client' sockets
  * TCP 'server' sockets
  * Non-blocking TCP sockets
  * UDP
  * IP Multicast
  * Internet address abstraction

Gnet requires Glib 1.2.


%package -n %{name}%{major}-devel
Summary: Header files for the Gnet library
Group: Development/C
Provides: %{name}-devel = %{version}
Requires: %{name}%{major} = %version

%description -n %{name}%{major}-devel
Gnet is a simple network library.  It is writen in C, object-oriented,
and built upon glib.
This package allows you to develop applications that use the Gnet
library.


%prep
rm -rf $RPM_BUILD_ROOT

%setup -n gnet-%{version} -q
%patch0 -p1 -b .vince

%build

# needed with latest libtool
aclocal
autoconf

%configure
%make

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall

%post -n %{name}%{major} -p /sbin/ldconfig

%postun -n %{name}%{major} -p /sbin/ldconfig

%clean
rm -rf $RPM_BUILD_ROOT

%files -n %{name}%{major}
%defattr(-, root, root)
%{_libdir}/*.so.*

%files -n %{name}%{major}-devel
%defattr(-, root, root)
%doc README COPYING ChangeLog NEWS TODO AUTHORS INSTALL HACKING doc/html
%{_includedir}/gnet
%{_bindir}/*
%{_datadir}/aclocal/*
%{_mandir}/man1/*
%{_libdir}/*.a
%{_libdir}/gnet
%{_libdir}/*.so

%changelog
* Wed Jul 11 2001 Stefan van der Eijk <stefan@eijk.nu> 1.1.0-4mdk
- BuildRequires:	glib-devel

* Fri Jun 29 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 1.1.0-3mdk
- Release 1.1.0
- Update major number

* Wed Apr 25 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 1.0.4-3mdk
- correct URL
- Recompiled against latest glib

* Thu Nov 16 2000 Vincent Saugey <vince@mandrakesoft.com> 1.0.4-2mdk
- add provides to dev package

* Mon Oct 30 2000 Vincent Saugey <vince@mandrakesoft.com> 1.0.4-1mdk
- Up to 1.0.4
- Put auconf macro and gnetconfig binarie in devel package
- make compliant with new mandrake lib policy
- add dependencie on dev package
- Patch configure for gnet.h found gnetconfig.h in /usr/lib

* Mon Oct  2 2000 Vincent Saugey <vince@mandrakesoft.com> 1.0.3-4mdk
- Change devel doc to devel package

* Fri Sep  1 2000 Vincent Saugey <vince@mandrakesoft.com> 1.0.3-3mdk
- change name
- Rebuild for next release

* Tue Aug 31 2000 Lenny Cartier <lenny@mandrakesoft.com> 1.0.3-2mdk
- macros
- BM

* Tue Jul  4 2000 Vincent Saugey <vince@mandrakesoft.com> 1.0.3-1mdk
- First mdk release
- Mandrake adaptation
- Clean spec file

* Mon Feb 28 2000 David Helder <dhelder@umich.edu>
- Updated for version 1.0

* Sat Jan 15 2000 Xavier Nicolovici <nicolovi@club-internet.fr>
- Moved lib*.so and lib*a to the devel package
- Creation of a gnet.spec.in for autoconf process

* Wed Jan 14 2000 Xavier Nicolovici <nicolovi@club-internet.fr>
- HTML documentation has been move to /usr/doc/gnet-{version}/html

* Thu Jan 13 2000 Xavier Nicolovici <nicolovi@club-internet.fr>
- First try at an RPM
